Page tree
Skip to end of metadata
Go to start of metadata

Requirements

You will need:

  • Java Development Kit (JDK) 7
  • Maven 3
  • Tomcat 6 or 7
  • IDE

Installation (Linux)

Java

  1. Install JDK with command

    sudo apt-get install sun-java7-jdk
    
  2. Check environment variable JAVA_HOME (should be path to JDK, e.g. /usr/lib/jvm/java-7-sun)

    echo $JAVA_HOME
    

Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files 7

The development environment and midPoint in runtime also requires JCE for cryptographic operations. You can download it from Oracle downloads page. After downloading zip file follow installation instructions written in README.txt

Maven

  1. Install Maven 3 from repository

    sudo apt-get install maven3
    
  2. Check environment variable M2_HOME (should be path to Maven directory, e.g. /usr/share/maven3)

    echo $M2_HOME
    

Tomcat

  1. Download binary distribution of Apache Tomcat 6.x or 7.x from http://tomcat.apache.org/download-70.cgi
  2. Unpack it into folder where you want to have your tomcat installation, e.g. /opt/apache-tomcat-6.0.32

IDE (Eclipse, Idea)

See Also

  • No labels